# perl-Pxesconfig.spec

%define real_name pxesconfig
%define docdir Documentation
%define real_rel 1

Summary: PXES configuration tool
Name: perl-Pxesconfig
Version: 0.7
Release: alt1.1
License: GPL
Group: Development/Perl
Source0: http://prdownloads.sourceforge.net/pxes/%real_name-%version-%real_rel.tar.gz
Url: http://pxes.sourceforge.net

BuildArch: noarch

# Automatically added by buildreq on Tue Nov 18 2003 (-bi)
BuildRequires: XFree86-libs esound glib gnome-libs gtk+ imlib libaudiofile libdb1 perl-GTK-GdkImlib perl-GTK-Gnome perl-Glade perl-devel

%description
This is the perl bindings for PXES configuration druid.

%package -n %real_name
Summary: PXES configuration tool
Group: System/Configuration/Networking
Requires: perl-Pxesconfig, coreutils, mount, gzip, e2fsprogs, mknbi, mkisofs, ldetect-lst, samba
Icon: pxes-tiny-48x48.xpm

BuildArch: noarch

%description -n %real_name
This is the PXES configuration.
Following the steps in a druid (wizard) you will obtain a running
configuration of PXES.

%prep
%setup -n %real_name-%version -q

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' Makefile.PL

# ALTLinux specific patches
perl -pi -e 's|\/tftpboot|\/var\/lib\/tftpboot|' *.glade
perl -pi -e 's|\/tftpboot|\/var\/lib\/tftpboot|' Pxesconfig/*.pm
perl -pi -e 's|hwdata\/MonitorsDB|ldetect-lst\/MonitorsDB|' Pxesconfig/*.pm

%build
%def_without test
%perl_vendor_build

%install
%perl_vendor_install
%__install -d -m 0755 %buildroot/%_datadir/%real_name
%__install -d -m 0755 %buildroot/%_datadir/pixmaps/%real_name
cp -aR pixmaps/* %buildroot/%_datadir/pixmaps/%real_name
cp -aR etc/* %buildroot/%_datadir/%real_name

%files
%doc %docdir/*
%perl_vendor_privlib/Pxesconfig/*
%_mandir/man?/*

%files -n %real_name
%_bindir/*
%_datadir/pixmaps/%real_name
%_datadir/%real_name

%changelog
* Tue Dec 11 2003 LKS <lakostis at altlinux dot ru> 0.7-alt1.1
- Fix tftpboot,MonitorsDB location.

* Tue Nov 18 2003 LKS <lakostis at altlinux dot ru> 0.7-alt1
- initial build for ALTLinux.
